Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jface.util
Class Policy

    java.lang.Object
      org.eclipse.jface.util.Policy

public class Policy
extends Object

The Policy class is a class to handle debug flags within the JFace plug-in.

Since:
  3.0

Field Summary
`static boolean` | `DEBUG_DIALOG_NO_PARENT` A flag to indicate whether unparented dialogs should be checked.
`static boolean` | `DEFAULT` Constant for the the default setting for debug options.
`static String` | `JFACE` Constant for the first segment of jface debug option names.
`static boolean` | `TRACE_ACTIONS` A flag to indicate whether actions are being traced.
`static boolean` | `TRACE_TOOLBAR` A flag to indicate whether toolbars are being traced.

Constructor Summary
`Policy()`

Method Summary
`static ILog` | `getLog()` Return the log the receiver is using.
`static void` | `setLog(ILog forwardingLog)` Set the log to be forwarding log.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DEFAULT

    public static final boolean DEFAULT

  Constant for the the default setting for debug options.

  See Also:
    Constant Field Values

### JFACE

    public static final String JFACE

  Constant for the first segment of jface debug option names.

  See Also:
    Constant Field Values

### DEBUG_DIALOG_NO_PARENT

    public static boolean DEBUG_DIALOG_NO_PARENT

  A flag to indicate whether unparented dialogs should be checked.

### TRACE_ACTIONS

    public static boolean TRACE_ACTIONS

  A flag to indicate whether actions are being traced.

### TRACE_TOOLBAR

    public static boolean TRACE_TOOLBAR

  A flag to indicate whether toolbars are being traced.

Constructor Detail

### Policy

    public Policy()

Method Detail

### setLog

    public static void setLog(ILog forwardingLog)

  Set the log to be forwarding log.

  Parameters:
    `forwardingLog` -

### getLog

    public static ILog getLog()

  Return the log the receiver is using.

  Returns:
    ILog

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.